This version of Nextcloud is not compatible with > PHP 7.4. You are currently running 8.0.13

help we use nextcloud snap app

and the app crash with
This version of Nextcloud is not compatible with > PHP 7.4.
You are currently running 8.0.13.

we don’t upgrade php it the same snap/nextcloud